Skip to main content
GET
/
calendars
/
{calendarId}
/
notifications
/
{notificationId}
Get notification
curl --request GET \
  --url https://services.leadconnectorhq.com/calendars/{calendarId}/notifications/{notificationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "_id": "<string>",
  "receiverType": "contact",
  "additionalEmailIds": [
    "example1@email.com",
    "example2@email.com"
  ],
  "additionalPhoneNumbers": [
    "+919876744444",
    "+919876744445"
  ],
  "channel": "email",
  "notificationType": "confirmation",
  "isActive": true,
  "additionalWhatsappNumbers": [
    "+919876744444",
    "+919876744445"
  ],
  "templateId": "0as9d8as0d",
  "body": "This is a test notification",
  "subject": "Test Notification",
  "afterTime": [
    {
      "timeOffset": 1,
      "unit": "hours"
    }
  ],
  "beforeTime": [
    {
      "timeOffset": 1,
      "unit": "hours"
    }
  ],
  "selectedUsers": [
    "user1",
    "user2"
  ],
  "deleted": false
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

calendarId
string
required
notificationId
string
required

Response

Successful response

_id
string

Notification ID

receiverType
enum<string>
Available options:
contact,
guest,
assignedUser,
emails,
phoneNumbers,
business
Example:

"contact"

additionalEmailIds
string[]
Example:
["example1@email.com", "example2@email.com"]
additionalPhoneNumbers
string[]
Example:
["+919876744444", "+919876744445"]
channel
enum<string>
Available options:
email,
inApp,
sms,
whatsapp
Example:

"email"

notificationType
enum<string>
Available options:
booked,
confirmation,
cancellation,
reminder,
followup,
reschedule
Example:

"confirmation"

isActive
boolean
Example:

true

additionalWhatsappNumbers
string[]
Example:
["+919876744444", "+919876744445"]
templateId
string
Example:

"0as9d8as0d"

body
string
Example:

"This is a test notification"

subject
string
Example:

"Test Notification"

afterTime
object[]
Example:
[{ "timeOffset": 1, "unit": "hours" }]
beforeTime
object[]
Example:
[{ "timeOffset": 1, "unit": "hours" }]
selectedUsers
string[]
Example:
["user1", "user2"]
deleted
boolean
Example:

false

Last modified on March 4, 2026